Automatic edit summaries should not trigger edit summary pings
Open, LowestPublic

Description

Edit summary notification (i.e. T32750) can be triggered by automatic summaries generated for instance on page creation.
Example: https://en.wikipedia.beta.wmflabs.org/wiki/Special:Diff/376635.
In practice, once the feature is deployed, this will unexpectedly notify users from time to time when archiving talk pages, for instance https://fr.wikipedia.org/w/index.php?title=Discussion_Projet:Bourgogne/Archives_2_(2013_-_2015)&oldid=145463495&diff=prev.
It would be good to prevent this.

Orlodrim created this task.Mar 6 2018, 7:49 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 6 2018, 7:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@TBolliger I believe this can be closed?

I can still reproduce this on https://en.wikipedia.beta.wmflabs.org/. Do you propose to close the task because you think this should not be fixed? Or is it fixed by something not deployed yet on the beta cluster?

In case my example was not clear: in the diff https://en.wikipedia.beta.wmflabs.org/wiki/Special:Diff/376635, the autogenerated edit summary is "←Created page with '== Old discussion == Short message. User:Orlodrim2'". This pings Orlodrim2, although no edit summary was explicitly provided, so this is unexpected.

@Orlodrim We deployed patches which should have fixed this issue. The code ought to be on the beta cluster.
Pinging @MaxSem to look into this.

@Orlodrim The diff you point to is from 6 March. Did you happen to try this again recently?

Confirm that autosummary triggers a ping. Is it really a behavior we don't want?

TBolliger triaged this task as Lowest priority.Apr 9 2018, 11:01 PM

We will leave this ticket open for someday, but this is not a release blocker for our 2017 Wishlist project of T32750: [Epic] Ping/notify user when username used in an edit summary

I believe there is a valid use case for users to receive this notification so we will leave this behavior as-is for now. (If someone is being talked about, they arguably have the right to know about it...)

If you want to create a page with a username, you can prepend it with a colon (e.g. [[:User:Foobar]]) or provide a manual summary, which prevents the automatic edit summary.

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 25 2018, 1:48 PM
Catrope moved this task from Inbox to External on the Growth-Team board.Nov 1 2018, 9:39 PM